Package com.ads.api.beans.sm

# Class SMColumn

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.sm.SMColumn

public class SMColumn extends Node
This class provides some beans control methods related to Column, Table in which the Column is present and its related Audit History Details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SMColumn.SMColumnType`
  The constants of this enumerated type are used to specify the ColumnType such as Tables, Columns and Columns being treated as Tables.

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMColumn()`
  `SMColumn(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SMColumn`
  `addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)`
  It will not add association to this object as it is being used internally.
  `SMColumn`
  `addColumnIndex(SMIndex columnIndex)`
  Method adds the columnIndex as specified.
  `SMColumn`
  `addExtendedProperty(KeyValue systemKeyValuesVo)`
  `SMColumn`
  `addSDIClassification(SDIClassification classification)`
  It adds the given sdiClassification object to the list.
  `SMColumn`
  `addTag(Tag tagvo)`
  `SMColumn`
  `addValidValues(CodeValue validValue)`
  `String`
  `getAssociatedBusinessTerm()`
  Returns the associatedBusinessTerm Value.
  `int`
  `getAssociatedBusinessTermId()`
  Returns the associatedBusinessTermId Value.
  `List<com.ads.association.export.model.ExportedAssociation>`
  `getAssociationsList()`
  It will not return any associations particular to this object as it is being used internally.
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory Details.
  `String`
  `getColumnAlias()`
  Returns the columnAlias Value.
  `String`
  `getColumnClass()`
  Returns the columnClass.
  `String`
  `getColumnComments()`
  Returns the columnComments.
  `String`
  `getColumnDataDomain()`
  Returns the columnDataDomain Value.
  `String`
  `getColumnDatatype()`
  Returns the columnDatatype.
  `String`
  `getColumnDBDefaultValue()`
  Returns the columnDBDefaultValue.
  `String`
  `getColumnDefinition()`
  Returns the columnDefinition.
  `String`
  `getColumnETLDefaultValue()`
  Returns the columnETLDefaultValue.
  `int`
  `getColumnId()`
  Returns the columnId.
  `List<SMIndex>`
  `getColumnIndexes()`
  This method returns null on getColumn calls from SMUtil unless its being loaded as a complete network
  `String`
  `getColumnLength()`
  Returns the columnLength.
  `String`
  `getColumnName()`
  Returns the columnName.
  `String`
  `getColumnPrecision()`
  Returns the columnPrecision.
  `String`
  `getColumnReferenceId()`
  Returns the columnReferenceId.
  `String`
  `getColumnScale()`
  Returns the columnScale Value.
  `SMColumn.SMColumnType`
  `getColumnType()`
  Returns the columnType i.e whether it is a ENTITY, ENTITY_ATTRIBUTE or ENTITY_ELEMENT..
  `String`
  `getDataProfileEndDate()`
  Returns the dataProfileEndDate Value.
  `String`
  `getDataProfileJobFailReason()`
  Returns the dataProfileJobFailReason Value.
  `String`
  `getDataProfileJobState()`
  Returns the dataProfileJobState Value.
  `String`
  `getDataProfileScore()`
  Returns the dataProfileScore Value.
  `int`
  `getDataProfileScoreId()`
  Returns the dataProfileScoreId Value.
  `String`
  `getDataProfileStartDate()`
  Returns the dataProfileStartDate Value.
  `float`
  `getDataQualityScore()`
  Returns the dataQualityScore.
  `String`
  `getDataStewardName()`
  Deprecated.
  `String`
  `getDeclarationPath()`
  Returns the declarationPath Value.
  `String`
  `getDqToolProfileId()`
  Returns the dqToolProfileId.
  `String`
  `getDriftAlert()`
  Deprecated.
  `int`
  `getEnvironmentId()`
  Returns the environmentId.
  `String`
  `getEnvironmentName()`
  Returns the environmentName and this can be accessed through Lineage API only.
  `String`
  `getExpandedLogicalName()`
  Returns the expandedLogicalName Value.
  `List<KeyValue>`
  `getExtendedProperties()`
  Returns the list of extendedProperties of a column.
  `String`
  `getFileStartingPosition()`
  Returns the fileStartingPosition Value.
  `String`
  `getForeignKeyColumnName()`
  Returns the foreignKeyColumnName Value.
  `String`
  `getForeignKeyTableName()`
  Returns the foreignKeyTableName Value.
  `float`
  `getImpactScore()`
  Deprecated.
  `String`
  `getIncludeInDataProfile()`
  Returns the includeInDataProfile Value.
  `int`
  `getInsertOrder()`
  Returns the insertOrder i.e order in which the column is created in database.
  `String`
  `getLogicalColumnName()`
  Returns the logicalColumnName Value.
  `String`
  `getMaximumValue()`
  Returns the maximumValue.
  `String`
  `getMetadataSource()`
  Returns the metadataSource Value.
  `String`
  `getMinimumValue()`
  Returns the minimumValue.
  `String`
  `getPercentNullValue()`
  Returns the percentNullValue.
  `String`
  `getPhysicalColumnName()`
  Returns the physicalColumnName Value.
  `String`
  `getSdiClassificationId()`
  Deprecated.
  `String`
  `getSDIClassificationName()`
  Deprecated.
  `List<SDIClassification>`
  `getSDIClassifications()`
  Returns the list of sdiClassifications of the column.
  `String`
  `getSDIDescription()`
  Deprecated.
  `String`
  `getStatus()`
  Returns the status Value.
  `int`
  `getSTCMId()`
  Deprecated.
  `String`
  `getStorageType()`
  Returns the storageType.
  `String`
  `getSystemName()`
  Returns the systemName and this can be accessed through Lineage API only.
  `SMTable`
  `getTable()`
  Returns the SMTable object.
  `int`
  `getTableId()`
  Returns the tableId.
  `String`
  `getTableName()`
  Returns the tableName.
  `List<Tag>`
  `getTags()`
  `String`
  `getUserDefined1()`
  Returns the UserDefinedField1 Value.
  `String`
  `getUserDefined10()`
  Returns the UserDefinedField10 Value.
  `String`
  `getUserDefined2()`
  Returns the UserDefinedField2 Value.
  `String`
  `getUserDefined3()`
  Returns the UserDefinedField2 Value.
  `String`
  `getUserDefined4()`
  Returns the UserDefinedField4 Value.
  `String`
  `getUserDefined5()`
  Returns the UserDefinedField5 Value.
  `String`
  `getUserDefined6()`
  Returns the UserDefinedField6 Value.
  `String`
  `getUserDefined7()`
  Returns the UserDefinedField7 Value.
  `String`
  `getUserDefined8()`
  Returns the UserDefinedField8 Value.
  `String`
  `getUserDefined9()`
  Returns the UserDefinedField9 Value.
  `List<CodeValue>`
  `getValidValues()`
  Returns the list of CodeValue objects.
  `String`
  `getWorkflowStatus()`
  Returns the workflowStatus Value.
  `String`
  `getXPath()`
  Returns the xPath.
  `boolean`
  `isBusinessKeyFlag()`
  Returns the businessKeyFlag Value as Y or N.
  `boolean`
  `isColumnIdentityFlag()`
  Returns the columnIdentityFlag value as True or False.
  `boolean`
  `isColumnNullableFlag()`
  Returns the columnNullableFlag value as True or False.
  `boolean`
  `isElnExpanded()`
  `boolean`
  `isForeignKeyFlag()`
  Returns the naturalKeyFlag Value as True or False.
  `boolean`
  `isNaturalKeyFlag()`
  Returns the naturalKeyFlag Value as True or False.
  `boolean`
  `isPrimaryKeyFlag()`
  Returns the primaryKeyFlag Value as True or False.
  `boolean`
  `isSDIFlag()`
  Returns the sdiFlag Value as True or False.
  `boolean`
  `isUsedInGapAnalysis()`
  Returns the usedInGapAnalysis Value as Y or N.
  `boolean`
  `isValid()`
  Returns the isvalid value as True or False.
  `void`
  `setAssociatedBusinessTerm(String associatedBusinessTerm)`
  Method sets the associatedBusinessTerm Value as specified.
  `void`
  `setAssociatedBusinessTermId(int associatedBusinessTermId)`
  Method sets the associatedBusinessTermId Value as specified.
  `SMColumn`
  `setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)`
  It will not set any associations particular to this object as it is being used internally.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory Details as specified.
  `void`
  `setBusinessKeyFlag(boolean businessKeyFlag)`
  Method sets the businessKeyFlag value as specified.
  `void`
  `setColumnAlias(String columnAlias)`
  Method sets the columnAlias value as specified.
  `void`
  `setColumnClass(String columnClass)`
  Method sets the columnClass value as specified.
  `void`
  `setColumnComments(String columnComments)`
  Method sets the columnComments as specified.
  `void`
  `setColumnDataDomain(String columnDataDomain)`
  Method sets the columnDataDomain Value as specified.
  `void`
  `setColumnDatatype(String columnDatatype)`
  Method sets the columnDatatype as specified.
  `void`
  `setColumnDBDefaultValue(String columnDBDefaultValue)`
  Method sets the columnDBDefaultValue as specified.
  `void`
  `setColumnDefinition(String columnDefinition)`
  Method sets the columnDefinition as specified.
  `void`
  `setColumnETLDefaultValue(String columnETLDefaultValue)`
  Method sets the columnETLDefaultValue as specified.
  `void`
  `setColumnId(int columnId)`
  Method sets the columnId as specified.
  `void`
  `setColumnIdentityFlag(boolean columnIdentityFlag)`
  Method sets the columnIdentityFlag as specified.
  `SMColumn`
  `setColumnIndexes(List<SMIndex> columnIndexes)`
  Method sets the columnIndexes as specified.
  `void`
  `setColumnLength(String columnLength)`
  Method sets the columnLength as specified.
  `void`
  `setColumnName(String columnName)`
  Method sets the columnName as specified.
  `void`
  `setColumnNullableFlag(boolean columnNullableFlag)`
  Method sets the columnNullableFlag as specified.
  `void`
  `setColumnPrecision(String columnPrecision)`
  Method sets the columnPrecision as specified.
  `void`
  `setColumnReferenceId(String columnReferenceId)`
  Method sets the columnReferenceId as specified.
  `void`
  `setColumnScale(String columnScale)`
  Method sets the columnScale Value as specified.
  `void`
  `setColumnType(SMColumn.SMColumnType type)`
  Method sets the SMColumnType as specified.
  `void`
  `setDataProfileEndDate(String dataProfileEndDate)`
  Method sets the dataProfileEndDate as specified.
  `void`
  `setDataProfileJobFailReason(String dataProfileJobFailReason)`
  Method sets the dataProfileJobFailReason as specified.
  `void`
  `setDataProfileJobState(String dataProfileJobState)`
  Method sets the dataProfileJobState as specified.
  `void`
  `setDataProfileScore(String dataProfileScore)`
  Method sets the dataProfileScore as specified.
  `void`
  `setDataProfileScoreId(int dataProfileScoreId)`
  Method sets the dataProfileScoreId as specified.
  `void`
  `setDataProfileStartDate(String dataProfileStartDate)`
  Method sets the dataProfileStartDate as specified.
  `void`
  `setDataQualityScore(float dataQualityScore)`
  Method sets the dataQualityScore as specified.
  `void`
  `setDataStewardName(String dataStewardName)`
  Deprecated.
  `void`
  `setDeclarationPath(String declarationPath)`
  Method sets the declarationPath as specified.
  `void`
  `setDqToolProfileId(int dqToolProfileId)`
  Deprecated.
  `void`
  `setDqToolProfileId(String dqToolProfileId)`
  Method sets the dqToolProfileId
  `void`
  `setDriftAlert(String driftAlert)`
  Deprecated.
  `void`
  `setElnExpanded(boolean elnExpanded)`
  `void`
  `setEnvironmentId(int environmentId)`
  Method sets the environmentId as specified.
  `void`
  `setEnvironmentName(String environmentName)`
  Method sets the environmentName as specified and can be set from Lineage API only.
  `void`
  `setExpandedLogicalName(String expandedLogicalName)`
  Method sets the expandedLogicalName Value as specified.
  `SMColumn`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  Method sets the list of KeyValues to the column as specified.
  `void`
  `setFileStartingPosition(String fileStartingPosition)`
  Method sets the fileStartingPosition value as specified.
  `void`
  `setForeignKeyColumnName(String foreignKeyColumnName)`
  Method sets the foreignKeyColumnName Value as specified.
  `void`
  `setForeignKeyFlag(boolean foreignKeyFlag)`
  Method sets the foreignKeyFlag Value as specified.
  `void`
  `setForeignKeyTableName(String foreignKeyTableName)`
  Method sets the foreignKeyTableName Value as specified.
  `void`
  `setImpactScore(float impactScore)`
  Deprecated.
  `void`
  `setIncludeInDataProfile(String includeInDataProfile)`
  Method sets the includeInDataProfile as specified.
  `void`
  `setInsertOrder(int insertOrder)`
  Method sets the insertOrder Value as specified.
  `void`
  `setLogicalColumnName(String logicalColumnName)`
  Method sets the logicalColumnName Value as specified.
  `void`
  `setMaximumValue(String maximumValue)`
  Method sets the maximumValue as specified.
  `void`
  `setMetadataSource(String metadataSource)`
  Method sets the metadataSource as specified.
  `void`
  `setMinimumValue(String minimumValue)`
  Method sets the minimumValue as specified.
  `void`
  `setNaturalKeyFlag(boolean naturalKeyFlag)`
  Method sets the naturalKeyFlag Value as specified.
  `void`
  `setPercentNullValue(String percentNullValue)`
  Method sets the percentNullValue as specified.
  `void`
  `setPhysicalColumnName(String physicalColumnName)`
  Method sets the physicalColumnName Value as specified.
  `void`
  `setPrimaryKeyFlag(boolean primaryKeyFlag)`
  Method sets the primaryKeyFlag Value as specified.
  `void`
  `setSdiClassificationId(String sdiClassificationId)`
  Deprecated.
  `void`
  `setSDIClassificationName(String sdiClassificationName)`
  Deprecated.
  `void`
  `setSDIClassifications(List<SDIClassification> sdiClassifications)`
  Method sets the list of sdiClassifications to the column as specified.
  `void`
  `setSDIDescription(String sdiDescription)`
  Deprecated.
  `void`
  `setSDIFlag(boolean sdiFlag)`
  Method sets the sdiFlag Value as specified.
  `void`
  `setStatus(String status)`
  Method sets the status value as specified.
  `void`
  `setSTCMId(int stcmId)`
  Deprecated.
  `void`
  `setStorageType(String storageType)`
  Method sets the storageType as specified.
  `void`
  `setSystemName(String systemName)`
  Method sets the systemName as specified and can be set from Lineage API only.
  `void`
  `setTable(SMTable _table)`
  Method sets the _table as specified.
  `void`
  `setTableId(int tableId)`
  Method sets the tableId as specified.
  `void`
  `setTableName(String tableName)`
  Method sets the tableName as specified.
  `void`
  `setTags(List<Tag> tags)`
  `void`
  `setUsedInGapAnalysis(boolean usedInGapAnalysis)`
  Method sets the usedInGapAnalysis as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Method sets the UserDefinedField1 value as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Method sets the UserDefinedField10 value as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Method sets the UserDefinedField2 value as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Method sets the UserDefinedField3 value as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Method sets the UserDefinedField4 value as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Method sets the UserDefinedField5 value as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Method sets the UserDefinedField6 value as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Method sets the UserDefinedField7 value as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Method sets the UserDefinedField8 value as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Method sets the UserDefinedField9 value as specified.
  `void`
  `setValid(boolean valid)`
  Method sets the valid Value as specified.
  `void`
  `setValidValues(List<CodeValue> validValues)`
  Method sets the CodeValue objects as specified.
  `void`
  `setWorkflowStatus(String workflowStatus)`
  Method sets the work flow status value as specified.
  `void`
  `setXPath(String xPath)`
  Method sets the xPath as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SMColumn

    public SMColumn()

  - ### SMColumn

    public SMColumn(String name)

- ## Method Details

  - ### getSTCMId

    public int getSTCMId()
    Deprecated.
    Returns:
      the stcmId

  - ### setSTCMId

    public void setSTCMId(int stcmId)
    Deprecated.
    Parameters:
      `stcmId` - the stcmId to set

  - ### getDqToolProfileId

    public String getDqToolProfileId()
    Returns the dqToolProfileId.
    Returns:
      dqToolProfileId String

  - ### setDqToolProfileId

    @Deprecated public void setDqToolProfileId(int dqToolProfileId)
    Deprecated.

  - ### setDqToolProfileId

    public void setDqToolProfileId(String dqToolProfileId)
    Method sets the dqToolProfileId
    Parameters:
      `dqToolProfileId` - String

  - ### getDataQualityScore

    public float getDataQualityScore()
    Returns the dataQualityScore.
    Returns:
      dataQualityScore float

  - ### setDataQualityScore

    public void setDataQualityScore(float dataQualityScore)
    Method sets the dataQualityScore as specified.
    Parameters:
      `dataQualityScore` -

  - ### getImpactScore

    @Deprecated public float getImpactScore()
    Deprecated.

  - ### setImpactScore

    @Deprecated public void setImpactScore(float impactScore)
    Deprecated.

  - ### getDriftAlert

    @Deprecated public String getDriftAlert()
    Deprecated.

  - ### setDriftAlert

    @Deprecated public void setDriftAlert(String driftAlert)
    Deprecated.

  - ### getColumnId

    public int getColumnId()
    Returns the columnId.
    Returns:
      columnId int.

  - ### setColumnId

    public void setColumnId(int columnId)
    Method sets the columnId as specified.
    Parameters:
      `columnId` - int

  - ### getTableId

    public int getTableId()
    Returns the tableId.
    Returns:
      tableId int

  - ### setTableId

    public void setTableId(int tableId)
    Method sets the tableId as specified.
    Parameters:
      `tableId` - int

  - ### getTableName

    public String getTableName()
    Returns the tableName.
    Returns:
      tableName String

  - ### setTableName

    public void setTableName(String tableName)
    Method sets the tableName as specified.
    Parameters:
      `tableName` - String

  - ### getColumnName

    public String getColumnName()
    Returns the columnName.
    Returns:
      columnName String

  - ### setColumnName

    public void setColumnName(String columnName)
    Method sets the columnName as specified.
    Parameters:
      `columnName` - String

  - ### getColumnDatatype

    public String getColumnDatatype()
    Returns the columnDatatype.
    Returns:
      columnDatatype String

  - ### setColumnDatatype

    public void setColumnDatatype(String columnDatatype)
    Method sets the columnDatatype as specified.
    Parameters:
      `columnDatatype` - String

  - ### getStorageType

    public String getStorageType()
    Returns the storageType.
    Returns:
      storageType String

  - ### setStorageType

    public void setStorageType(String storageType)
    Method sets the storageType as specified.
    Parameters:
      `storageType` - String

  - ### getColumnLength

    public String getColumnLength()
    Returns the columnLength.
    Returns:
      columnLength String.

  - ### setColumnLength

    public void setColumnLength(String columnLength)
    Method sets the columnLength as specified.
    Parameters:
      `columnLength` - String.

  - ### getColumnPrecision

    public String getColumnPrecision()
    Returns the columnPrecision.
    Returns:
      columnPrecision String.

  - ### setColumnPrecision

    public void setColumnPrecision(String columnPrecision)
    Method sets the columnPrecision as specified.
    Parameters:
      `columnPrecision` - String

  - ### getColumnDBDefaultValue

    public String getColumnDBDefaultValue()
    Returns the columnDBDefaultValue.
    Returns:
      columnDBDefaultValue String.

  - ### setColumnDBDefaultValue

    public void setColumnDBDefaultValue(String columnDBDefaultValue)
    Method sets the columnDBDefaultValue as specified.
    Parameters:
      `columnDBDefaultValue` - String

  - ### getColumnETLDefaultValue

    public String getColumnETLDefaultValue()
    Returns the columnETLDefaultValue.
    Returns:
      columnETLDefaultValue String

  - ### setColumnETLDefaultValue

    public void setColumnETLDefaultValue(String columnETLDefaultValue)
    Method sets the columnETLDefaultValue as specified.
    Parameters:
      `columnETLDefaultValue` - String

  - ### isColumnIdentityFlag

    public boolean isColumnIdentityFlag()
    Returns the columnIdentityFlag value as True or False.
    Returns:
      columnIdentityFlag boolean.

  - ### setColumnIdentityFlag

    public void setColumnIdentityFlag(boolean columnIdentityFlag)
    Method sets the columnIdentityFlag as specified.
    Parameters:
      `columnIdentityFlag` - boolean.

  - ### getColumnDefinition

    public String getColumnDefinition()
    Returns the columnDefinition.
    Returns:
      columnDefinition String.

  - ### setColumnDefinition

    public void setColumnDefinition(String columnDefinition)
    Method sets the columnDefinition as specified.
    Parameters:
      `columnDefinition` - String.

  - ### isColumnNullableFlag

    public boolean isColumnNullableFlag()
    Returns the columnNullableFlag value as True or False.
    Returns:
      columnNullableFlag boolean.

  - ### setColumnNullableFlag

    public void setColumnNullableFlag(boolean columnNullableFlag)
    Method sets the columnNullableFlag as specified.
    Parameters:
      `columnNullableFlag` - boolean

  - ### getMinimumValue

    public String getMinimumValue()
    Returns the minimumValue.
    Returns:
      minimumValue String

  - ### setMinimumValue

    public void setMinimumValue(String minimumValue)
    Method sets the minimumValue as specified.
    Parameters:
      `minimumValue` - String

  - ### getMaximumValue

    public String getMaximumValue()
    Returns the maximumValue.
    Returns:
      maximumValue String.

  - ### setMaximumValue

    public void setMaximumValue(String maximumValue)
    Method sets the maximumValue as specified.
    Parameters:
      `maximumValue` - String

  - ### getPercentNullValue

    public String getPercentNullValue()
    Returns the percentNullValue.
    Returns:
      percentNullValue String

  - ### setPercentNullValue

    public void setPercentNullValue(String percentNullValue)
    Method sets the percentNullValue as specified.
    Parameters:
      `percentNullValue` - String

  - ### getColumnScale

    public String getColumnScale()
    Returns the columnScale Value.
    Returns:
      columnScale String

  - ### setColumnScale

    public void setColumnScale(String columnScale)
    Method sets the columnScale Value as specified.
    Parameters:
      `columnScale` - String

  - ### isPrimaryKeyFlag

    public boolean isPrimaryKeyFlag()
    Returns the primaryKeyFlag Value as True or False.
    Returns:
      primaryKeyFlag boolean

  - ### setPrimaryKeyFlag

    public void setPrimaryKeyFlag(boolean primaryKeyFlag)
    Method sets the primaryKeyFlag Value as specified.
    Parameters:
      `primaryKeyFlag` - boolean

  - ### isNaturalKeyFlag

    public boolean isNaturalKeyFlag()
    Returns the naturalKeyFlag Value as True or False.
    Returns:
      naturalKeyFlag boolean.

  - ### setNaturalKeyFlag

    public void setNaturalKeyFlag(boolean naturalKeyFlag)
    Method sets the naturalKeyFlag Value as specified.
    Parameters:
      `naturalKeyFlag` - boolean

  - ### isForeignKeyFlag

    public boolean isForeignKeyFlag()
    Returns the naturalKeyFlag Value as True or False.
    Returns:
      foreignKeyFlag boolean

  - ### setForeignKeyFlag

    public void setForeignKeyFlag(boolean foreignKeyFlag)
    Method sets the foreignKeyFlag Value as specified.
    Parameters:
      `foreignKeyFlag` - boolean

  - ### getForeignKeyTableName

    public String getForeignKeyTableName()
    Returns the foreignKeyTableName Value.
    Returns:
      foreignKeyTableName String.

  - ### setForeignKeyTableName

    public void setForeignKeyTableName(String foreignKeyTableName)
    Method sets the foreignKeyTableName Value as specified.
    Parameters:
      `foreignKeyTableName` - String

  - ### getForeignKeyColumnName

    public String getForeignKeyColumnName()
    Returns the foreignKeyColumnName Value.
    Returns:
      foreignKeyColumnName String

  - ### setForeignKeyColumnName

    public void setForeignKeyColumnName(String foreignKeyColumnName)
    Method sets the foreignKeyColumnName Value as specified.
    Parameters:
      `foreignKeyColumnName` - String

  - ### getColumnDataDomain

    public String getColumnDataDomain()
    Returns the columnDataDomain Value.
    Returns:
      columnDataDomain String

  - ### setColumnDataDomain

    public void setColumnDataDomain(String columnDataDomain)
    Method sets the columnDataDomain Value as specified.
    Parameters:
      `columnDataDomain` - String

  - ### getLogicalColumnName

    public String getLogicalColumnName()
    Returns the logicalColumnName Value.
    Returns:
      logicalColumnName String

  - ### setLogicalColumnName

    public void setLogicalColumnName(String logicalColumnName)
    Method sets the logicalColumnName Value as specified.
    Parameters:
      `logicalColumnName` - String

  - ### getPhysicalColumnName

    public String getPhysicalColumnName()
    Returns the physicalColumnName Value.
    Returns:
      physicalColumnName String

  - ### setPhysicalColumnName

    public void setPhysicalColumnName(String physicalColumnName)
    Method sets the physicalColumnName Value as specified.
    Parameters:
      `physicalColumnName` - String

  - ### isElnExpanded

    public boolean isElnExpanded()
    Returns:
      the elnExpanded

  - ### setElnExpanded

    public void setElnExpanded(boolean elnExpanded)
    Parameters:
      `elnExpanded` - the elnExpanded to set

  - ### getExpandedLogicalName

    public String getExpandedLogicalName()
    Returns the expandedLogicalName Value.
    Returns:
      expandedLogicalName String

  - ### setExpandedLogicalName

    public void setExpandedLogicalName(String expandedLogicalName)
    Method sets the expandedLogicalName Value as specified.
    Parameters:
      `expandedLogicalName` - String

  - ### getAssociatedBusinessTerm

    public String getAssociatedBusinessTerm()
    Returns the associatedBusinessTerm Value.
    Returns:
      associatedBusinessTerm String

  - ### setAssociatedBusinessTerm

    public void setAssociatedBusinessTerm(String associatedBusinessTerm)
    Method sets the associatedBusinessTerm Value as specified.
    Parameters:
      `associatedBusinessTerm` - String

  - ### getAssociatedBusinessTermId

    public int getAssociatedBusinessTermId()
    Returns the associatedBusinessTermId Value.
    Returns:
      associatedBusinessTermId String

  - ### setAssociatedBusinessTermId

    public void setAssociatedBusinessTermId(int associatedBusinessTermId)
    Method sets the associatedBusinessTermId Value as specified.
    Parameters:
      `associatedBusinessTermId` - String

  - ### isSDIFlag

    public boolean isSDIFlag()
    Returns the sdiFlag Value as True or False.
    Returns:
      sdiFlag boolean.

  - ### setSDIFlag

    public void setSDIFlag(boolean sdiFlag)
    Method sets the sdiFlag Value as specified.
    Parameters:
      `sdiFlag` - boolean

  - ### getSDIDescription

    public String getSDIDescription()
    Deprecated.
    Returns the sdiDescription.
    Returns:
      sdiDescription String.

  - ### setSDIDescription

    public void setSDIDescription(String sdiDescription)
    Deprecated.
    Method sets the sdiDescription Value as specified.
    Parameters:
      `sdiDescription` - String

  - ### isValid

    public boolean isValid()
    Returns the isvalid value as True or False.
    Returns:
      valid boolean

  - ### setValid

    public void setValid(boolean valid)
    Method sets the valid Value as specified.
    Parameters:
      `valid` - boolean

  - ### getInsertOrder

    public int getInsertOrder()
    Returns the insertOrder i.e order in which the column is created in database.
    Returns:
      insertOrder int

  - ### setInsertOrder

    public void setInsertOrder(int insertOrder)
    Method sets the insertOrder Value as specified.
    Parameters:
      `insertOrder` - int

  - ### getColumnComments

    public String getColumnComments()
    Returns the columnComments.
    Returns:
      columnComments String

  - ### setColumnComments

    public void setColumnComments(String columnComments)
    Method sets the columnComments as specified.
    Parameters:
      `columnComments` - String

  - ### getColumnReferenceId

    public String getColumnReferenceId()
    Returns the columnReferenceId.
    Returns:
      columnReferenceId String

  - ### setColumnReferenceId

    public void setColumnReferenceId(String columnReferenceId)
    Method sets the columnReferenceId as specified.
    Parameters:
      `columnReferenceId` - String

  - ### getColumnType

    public SMColumn.SMColumnType getColumnType()
    Returns the columnType i.e whether it is a ENTITY, ENTITY_ATTRIBUTE or ENTITY_ELEMENT..
    Returns:
      type SMColumnType.

  - ### setColumnType

    public void setColumnType(SMColumn.SMColumnType type)
    Method sets the SMColumnType as specified.
    Parameters:
      `type` - SMColumnType.

  - ### getXPath

    public String getXPath()
    Returns the xPath.
    Returns:
      xPath String

  - ### setXPath

    public void setXPath(String xPath)
    Method sets the xPath as specified.
    Parameters:
      `xPath` - String

  - ### isUsedInGapAnalysis

    public boolean isUsedInGapAnalysis()
    Returns the usedInGapAnalysis Value as Y or N.
    Returns:
      usedInGapAnalysis boolean

  - ### setUsedInGapAnalysis

    public void setUsedInGapAnalysis(boolean usedInGapAnalysis)
    Method sets the usedInGapAnalysis as specified.
    Parameters:
      `usedInGapAnalysis` - boolean

  - ### getUserDefined1

    public String getUserDefined1()
    Returns the UserDefinedField1 Value.
    Returns:
      userDefined1 String.

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Method sets the UserDefinedField1 value as specified.
    Parameters:
      `userDefined1` - String.

  - ### getUserDefined2

    public String getUserDefined2()
    Returns the UserDefinedField2 Value.
    Returns:
      userDefined2 String.

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Method sets the UserDefinedField2 value as specified.
    Parameters:
      `userDefined2` - String.

  - ### getUserDefined3

    public String getUserDefined3()
    Returns the UserDefinedField2 Value.
    Returns:
      userDefined3 String.

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Method sets the UserDefinedField3 value as specified.
    Parameters:
      `userDefined3` - String.

  - ### getUserDefined4

    public String getUserDefined4()
    Returns the UserDefinedField4 Value.
    Returns:
      userDefined4 String.

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Method sets the UserDefinedField4 value as specified.
    Parameters:
      `userDefined4` - String.

  - ### getUserDefined5

    public String getUserDefined5()
    Returns the UserDefinedField5 Value.
    Returns:
      userDefined5 String.

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Method sets the UserDefinedField5 value as specified.
    Parameters:
      `userDefined5` - String

  - ### getUserDefined6

    public String getUserDefined6()
    Returns the UserDefinedField6 Value.
    Returns:
      userDefined6 String

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Method sets the UserDefinedField6 value as specified.
    Parameters:
      `userDefined6` - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns the UserDefinedField7 Value.
    Returns:
      userDefined7 String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Method sets the UserDefinedField7 value as specified.
    Parameters:
      `userDefined7` - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns the UserDefinedField8 Value.
    Returns:
      userDefined8 String

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Method sets the UserDefinedField8 value as specified.
    Parameters:
      `userDefined8` - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns the UserDefinedField9 Value.
    Returns:
      userDefined9 String

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Method sets the UserDefinedField9 value as specified.
    Parameters:
      `userDefined9` - String

  - ### getUserDefined10

    public String getUserDefined10()
    Returns the UserDefinedField10 Value.
    Returns:
      userDefined10 String

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Method sets the UserDefinedField10 value as specified.
    Parameters:
      `userDefined10` - String

  - ### getFileStartingPosition

    public String getFileStartingPosition()
    Returns the fileStartingPosition Value.
    Returns:
      fileStartingPosition String

  - ### setFileStartingPosition

    public void setFileStartingPosition(String fileStartingPosition)
    Method sets the fileStartingPosition value as specified.
    Parameters:
      `fileStartingPosition` - String

  - ### getColumnClass

    public String getColumnClass()
    Returns the columnClass.
    Returns:
      columnClass String

  - ### setColumnClass

    public void setColumnClass(String columnClass)
    Method sets the columnClass value as specified.
    Parameters:
      `columnClass` - String

  - ### isBusinessKeyFlag

    public boolean isBusinessKeyFlag()
    Returns the businessKeyFlag Value as Y or N.
    Returns:
      businessKeyFlag boolean.

  - ### setBusinessKeyFlag

    public void setBusinessKeyFlag(boolean businessKeyFlag)
    Method sets the businessKeyFlag value as specified.
    Parameters:
      `businessKeyFlag` - boolean

  - ### getColumnAlias

    public String getColumnAlias()
    Returns the columnAlias Value.
    Returns:
      columnAlias String.

  - ### setColumnAlias

    public void setColumnAlias(String columnAlias)
    Method sets the columnAlias value as specified.
    Parameters:
      `columnAlias` - String

  - ### getStatus

    public String getStatus()
    Returns the status Value.
    Returns:
      status String

  - ### setStatus

    public void setStatus(String status)
    Method sets the status value as specified.
    Parameters:
      `status` - String

  - ### getWorkflowStatus

    public String getWorkflowStatus()
    Returns the workflowStatus Value.
    Returns:
      workflowStatus String

  - ### setWorkflowStatus

    public void setWorkflowStatus(String workflowStatus)
    Method sets the work flow status value as specified.
    Parameters:
      `workflowStatus` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory Details.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory Details as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getSdiClassificationId

    public String getSdiClassificationId()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationId

    public void setSdiClassificationId(String sdiClassificationId)
    Deprecated.
    Method sets the sdiClassificationId to the system as specified.
    Parameters:
      `sdiClassificationId` - int

  - ### getSDIClassificationName

    public String getSDIClassificationName()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSDIClassificationName

    public void setSDIClassificationName(String sdiClassificationName)
    Deprecated.
    Method sets the sdiClassificationName to the environment as specified.
    Parameters:
      `sdiClassificationName` - String

  - ### getSDIClassifications

    public List<SDIClassification> getSDIClassifications()
    Returns the list of sdiClassifications of the column.
    Returns:
      sdiClassifications List

  - ### setSDIClassifications

    public void setSDIClassifications(List<SDIClassification> sdiClassifications)
    Method sets the list of sdiClassifications to the column as specified.
    Parameters:
      `sdiClassifications` - List

  - ### addSDIClassification

    public SMColumn addSDIClassification(SDIClassification classification)
    It adds the given sdiClassification object to the list.
    Parameters:
      `classification` -
    Returns:
      SMColumn

  - ### getDataStewardName

    @Deprecated public String getDataStewardName()
    Deprecated.
    Returns the dataStewardName Value.
    Returns:
      dataStewardName String

  - ### setDataStewardName

    @Deprecated public void setDataStewardName(String dataStewardName)
    Deprecated.
    Method sets the dataStewardName as specified.
    Parameters:
      `dataStewardName` - String

  - ### getDeclarationPath

    public String getDeclarationPath()
    Returns the declarationPath Value.
    Returns:
      declarationPath String

  - ### setDeclarationPath

    public void setDeclarationPath(String declarationPath)
    Method sets the declarationPath as specified.
    Parameters:
      `declarationPath` - String

  - ### getTable

    public SMTable getTable()
    Returns the SMTable object.
    Returns:
      SMTable object

  - ### setTable

    public void setTable(SMTable _table)
    Method sets the _table as specified.
    Parameters:
      `_table` - String

  - ### getEnvironmentId

    public int getEnvironmentId()
    Returns the environmentId.
    Returns:
      environmentId int

  - ### setEnvironmentId

    public void setEnvironmentId(int environmentId)
    Method sets the environmentId as specified.
    Parameters:
      `environmentId` - int

  - ### getMetadataSource

    public String getMetadataSource()
    Returns the metadataSource Value.
    Returns:
      metadataSource String

  - ### setMetadataSource

    public void setMetadataSource(String metadataSource)
    Method sets the metadataSource as specified.
    Parameters:
      `metadataSource` - String

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()
    Returns the list of extendedProperties of a column.
    Returns:
      extendedProperties List

  - ### setExtendedProperties

    public SMColumn setExtendedProperties(List<KeyValue> extendedProperties)
    Method sets the list of KeyValues to the column as specified.
    Parameters:
      `extendedProperties` - List

  - ### addExtendedProperty

    public SMColumn addExtendedProperty(KeyValue systemKeyValuesVo)
    Parameters:
      `systemKeyValuesVo` -
    Returns:

  - ### getColumnIndexes

    public List<SMIndex> getColumnIndexes()
    This method returns null on getColumn calls from SMUtil unless its being loaded as a complete network
    Returns:

  - ### setColumnIndexes

    public SMColumn setColumnIndexes(List<SMIndex> columnIndexes)
    Method sets the columnIndexes as specified.
    Parameters:
      `columnIndexes` - String

  - ### addColumnIndex

    public SMColumn addColumnIndex(SMIndex columnIndex)
    Method adds the columnIndex as specified.
    Parameters:
      `columnIndex` - String

  - ### getValidValues

    public List<CodeValue> getValidValues()
    Returns the list of CodeValue objects.
    Returns:
      validValues List

  - ### setValidValues

    public void setValidValues(List<CodeValue> validValues)
    Method sets the CodeValue objects as specified.
    Parameters:
      `validValues` - List

  - ### addValidValues

    public SMColumn addValidValues(CodeValue validValue)
    Parameters:
      `validValue` -
    Returns:

  - ### getDataProfileScoreId

    public int getDataProfileScoreId()
    Returns the dataProfileScoreId Value.
    Returns:
      dataProfileScoreId String

  - ### setDataProfileScoreId

    public void setDataProfileScoreId(int dataProfileScoreId)
    Method sets the dataProfileScoreId as specified.
    Parameters:
      `dataProfileScoreId` - String

  - ### getDataProfileScore

    public String getDataProfileScore()
    Returns the dataProfileScore Value.
    Returns:
      dataProfileScore String

  - ### setDataProfileScore

    public void setDataProfileScore(String dataProfileScore)
    Method sets the dataProfileScore as specified.
    Parameters:
      `dataProfileScore` - String

  - ### getIncludeInDataProfile

    public String getIncludeInDataProfile()
    Returns the includeInDataProfile Value.
    Returns:
      includeInDataProfile String

  - ### setIncludeInDataProfile

    public void setIncludeInDataProfile(String includeInDataProfile)
    Method sets the includeInDataProfile as specified.
    Parameters:
      `includeInDataProfile` - String

  - ### getDataProfileJobState

    public String getDataProfileJobState()
    Returns the dataProfileJobState Value.
    Returns:
      dataProfileJobState String

  - ### setDataProfileJobState

    public void setDataProfileJobState(String dataProfileJobState)
    Method sets the dataProfileJobState as specified.
    Parameters:
      `dataProfileJobState` - String

  - ### getDataProfileJobFailReason

    public String getDataProfileJobFailReason()
    Returns the dataProfileJobFailReason Value.
    Returns:
      dataProfileJobFailReason String

  - ### setDataProfileJobFailReason

    public void setDataProfileJobFailReason(String dataProfileJobFailReason)
    Method sets the dataProfileJobFailReason as specified.
    Parameters:
      `dataProfileJobFailReason` - String

  - ### getDataProfileStartDate

    public String getDataProfileStartDate()
    Returns the dataProfileStartDate Value.
    Returns:
      dataProfileStartDate String

  - ### setDataProfileStartDate

    public void setDataProfileStartDate(String dataProfileStartDate)
    Method sets the dataProfileStartDate as specified.
    Parameters:
      `dataProfileStartDate` - String

  - ### getDataProfileEndDate

    public String getDataProfileEndDate()
    Returns the dataProfileEndDate Value.
    Returns:
      dataProfileEndDate String

  - ### setDataProfileEndDate

    public void setDataProfileEndDate(String dataProfileEndDate)
    Method sets the dataProfileEndDate as specified.
    Parameters:
      `dataProfileEndDate` - String

  - ### getSystemName

    public String getSystemName()
    Returns the systemName and this can be accessed through Lineage API only.
    Returns:
      systemName String

  - ### setSystemName

    public void setSystemName(String systemName)
    Method sets the systemName as specified and can be set from Lineage API only.
    Parameters:
      `systemName` - String

  - ### getEnvironmentName

    public String getEnvironmentName()
    Returns the environmentName and this can be accessed through Lineage API only.
    Returns:
      environmentName String

  - ### setEnvironmentName

    public void setEnvironmentName(String environmentName)
    Method sets the environmentName as specified and can be set from Lineage API only.
    Parameters:
      `environmentName` - String

  - ### getTags

    public List<Tag> getTags()

  - ### setTags

    public void setTags(List<Tag> tags)

  - ### addTag

    public SMColumn addTag(Tag tagvo)

  - ### getAssociationsList

    public List<com.ads.association.export.model.ExportedAssociation> getAssociationsList()
    It will not return any associations particular to this object as it is being used internally. Please use Associations api to fetch the associations.
    Returns:
      list of associations

  - ### setAssociationsList

    public SMColumn setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)
    It will not set any associations particular to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### addAssociationsList

    public SMColumn addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)
    It will not add association to this object as it is being used internally.
    Parameters:
      `associationObj` -
    Returns:

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`